/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__
#ifdef __STDC__

extern double angleLimit ( double angle );
extern double curvature ( double *h_deriv, int sens );
extern double curvToPhi ( FLAT_STR *flatPt, double x );
extern double diff2_kappa ( FLAT_STR *flatPt, double phi );
extern double diff2_phi ( FLAT_STR *flatPt, double *h_deriv, int sens );
extern double diff3_phi ( FLAT_STR *flatPt, double *h_deriv, int sens );
extern double diff_kappa ( FLAT_STR *flatPt, double phi );
extern double diff_phi ( FLAT_STR *flatPt, double *h_deriv, int sens );
extern double flatEllipticIntegral ( FLAT_STR *flatPt, double x );
extern void flatGamma ( TR_FLAT_CONFIG_STR *fconf, double s, double deriv_order, double *Tab_gamma );
extern void flatHilareCombination ( TR_FLAT_CONFIG_STR *fconf_initPt, TR_FLAT_CONFIG_STR *finalFlatConfPt, double u, double v2, int deriv_order, double *Tab_gamma );
extern void flatTrailerCombination ( TR_FLAT_CONFIG_STR *fconf_initPt, TR_FLAT_CONFIG_STR *finalFlatConfPt, double u, double v2, double alpha_0, double alpha_1, int deriv_order, double *Tab_gamma );
extern double flatV1 ( TR_FLAT_CONFIG_STR *fconf1, TR_FLAT_CONFIG_STR *fconf2 );
extern double flatV2 ( TR_FLAT_CONFIG_STR *fconf1, TR_FLAT_CONFIG_STR *fconf2 );
extern void flat_conv_curve_fconf ( double *Tab_curve, TR_FLAT_CONFIG_STR *fconf, int sens );
extern double get_max_curvature ( FLAT_STR *flatPt );
extern double kappa ( FLAT_STR *flatPt, double phi );
extern void printTabLocalPathInFile ( FILE *file, FLAT_TAB_LOCAL_PATH *tabLocalPathPt );

#else /* __STDC__ */

extern double angleLimit (/* double angle */);
extern double curvature (/* double *h_deriv, int sens */);
extern double curvToPhi (/* FLAT_STR *flatPt, double x */);
extern double diff2_kappa (/* FLAT_STR *flatPt, double phi */);
extern double diff2_phi (/* FLAT_STR *flatPt, double *h_deriv, int sens */);
extern double diff3_phi (/* FLAT_STR *flatPt, double *h_deriv, int sens */);
extern double diff_kappa (/* FLAT_STR *flatPt, double phi */);
extern double diff_phi (/* FLAT_STR *flatPt, double *h_deriv, int sens */);
extern double flatEllipticIntegral (/* FLAT_STR *flatPt, double x */);
extern void flatGamma (/* TR_FLAT_CONFIG_STR *fconf, double s, double deriv_order, double *Tab_gamma */);
extern void flatHilareCombination (/* TR_FLAT_CONFIG_STR *fconf_initPt, TR_FLAT_CONFIG_STR *finalFlatConfPt, double u, double v2, int deriv_order, double *Tab_gamma */);
extern void flatTrailerCombination (/* TR_FLAT_CONFIG_STR *fconf_initPt, TR_FLAT_CONFIG_STR *finalFlatConfPt, double u, double v2, double alpha_0, double alpha_1, int deriv_order, double *Tab_gamma */);
extern double flatV1 (/* TR_FLAT_CONFIG_STR *fconf1, TR_FLAT_CONFIG_STR *fconf2 */);
extern double flatV2 (/* TR_FLAT_CONFIG_STR *fconf1, TR_FLAT_CONFIG_STR *fconf2 */);
extern void flat_conv_curve_fconf (/* double *Tab_curve, TR_FLAT_CONFIG_STR *fconf, int sens */);
extern double get_max_curvature (/* FLAT_STR *flatPt */);
extern double kappa (/* FLAT_STR *flatPt, double phi */);
extern void printTabLocalPathInFile (/* FILE *file, FLAT_TAB_LOCAL_PATH *tabLocalPathPt */);

#endif /* __STDC__ */
#endif /* __CEXTRACT__ */
